index

Varkon System administrators manual

# The postscript driver

The postscript driver reads from standard input, translates .PLT or .DXF format to postscript format and writes to standard output.

## Syntax

    $VARKON_BIN/postscript -sS -wsL -xX -yY -vN -bw -kK

Options preceded by a minus sign should be followed by their value without any separating blank spaces.

## Options

-sS | - Set scale to S. Float value, default = 1.0
-wsL | - Scale linewidth with L. Float value, default = 1.0
-xX | - Set origin.x to X. Float value, default = 0.0
-yY | - Set origin.y to Y. Float value, default = 0.0
-vN | - Rotate n degrees. Float value, default = 0.0
-bw | - Dont use color or grayscale, default = use color.
-kK | - Set curve accuracy to K. Float value, default = 1.0

## Examples

    $VARKON_BIN/postscript <plofile.PLT >plotfile.ps -s0.5

Scales the image in plotfile.PLT to half size and writes the result to a new file named "plotfile.ps" using the postscript format.

    $VARKON_BIN/postscript <plofile.PLT -s0.5 | lp

Same as above but the result is sent to a spooled plotter.

    $VARKON_BIN/postscript <plofile.PLT -bw | lp

Same as above but pennumbers are not mapped to color or grayscale. The result is always truly black and white.

## Comments

##

postscript automatically recognizes if the input is in .PLT or DXF format. The -k option only applies to DXF format.

postscript supports the WIDTH attribute for linewidth as well as the PEN attribute for color.

The dotsize used by the postscript driver is always 72 dots per inch.

Varkon version 1.19E svn# 121M